# std::getchar

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cstdio>` |  |
int getchar(); |  |

Reads the next character from stdin.

Equivalent to std::getc(stdin).

### Parameters

(none)

### Return value

The obtained character on success or EOF on failure.

If the failure has been caused by end of file condition, additionally sets the eof indicator (see feof()) on stdin. If the failure has been caused by some other error, sets the error indicator (see ferror()) on stdin.

### See also

fgetc getc | gets a character from a file stream (function)
C documentation for getchar

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/c/getchar&oldid=65787"